READELF(1)

NOME
readelf - Visualizza informazioni sui file ELF.

SINTASSI
readelf [-a|--all]
        [-h|--file-header]
        [-l|--program-headers|--segments]
        [-S|--section-headers|--sections]
        [-e|--headers]
        [-s|--syms|--symbols]
        [-n|--notes]
        [-r|--relocs]
        [-u|--unwind]
        [-d|--dynamic]
        [-V|--version-info]
        [-A|--arch-specific]
        [-D|--use-dynamic]
        [-x <number>|--hex-dump=<number>]
        [-w[liaprmfFsoR]|
         --debug-dump[=line,=info,=abbrev,=pubnames,=aranges,=macro,=frames,=frames-interp,=str,=loc,=Ranges]]
        [-I|-histogram]
        [-v|--version]
        [-W|--wide]
        [-H|--help]
        elffile...

DESCRIZIONE
readelf visualizza informazioni su uno o più file oggetto in formato ELF . Le opzioni controllano quale particolare informazione visualizzare.

elffile... sono i file oggetto da esaminare. Sono supportati i file ELF a 32-bit e 64-bit, e gli archivi contenenti file ELF .

Questo programma esegue una funzione similare a quella di objdump ma va in maggiore dettaglio, ed esiste indipendentemente dalla libreria BFD , così se c'è un bug in BFD readelf non ne risentirà.

OPZIONI
Le forme lunga e breve delle opzioni, qui mostrate come alternative, sono equivalenti. Deve essere data almeno un'opzione tra -v or -H .

-a
--all
    Equivalente a specificare --file-header, --program-headers, --sections, --symbols, --relocs, --dynamic, --notes e --version-info.

-h
--file-header
    Visualizza le informazioni contenute nell'intestazione all'inizio del file ELF.

-l
--program-headers
--segments
    Visualizza le informazioni contenute nelle intestazioni del segmento del file, se ne ha.

-S
--sections
--section-headers
    Visualizza le informazioni contenute nelle intestazioni della sezione del file, se ne ha.

-s
--symbols
--syms
    Visualizza i campi nella sezione della tabella simboli del file, se ne ha.

-e
--headers
    Visualizza tutte le intestazioni nel file. Equivalente a -h -l -S.

-n
--notes
    Visualizza i contenuti dei segmenti e/o sezioni NOTE, se ce ne sono.

-r
--relocs
    Visualizza i contenuti della sezione di rilocazione del file, se ce ne sono.

-u
--unwind
    Visualizza i contenuti della sezione unwind del file, se ce ne sono. Solo le sezioni unwind per i file IA64 ELF sono attualmente supportate.

-u
--unwind
    Visualizza i contenuti della sezione unwind del file, se ce ne sono. Solo le sezioni unwind per i file IA64 ELF sono attualmente supportate.

-d
--dynamic
    Visualizza i contenuti della sezione dinamica del file, se ce ne sono.

-V
--version-info
    Visualizza i contenuti della sezione versione del file, se esiste.

-A
--arch-specific
    Visualizza informazioni nel file legate all'architettura, se ce ne sono.

-D
--use-dynamic
    Quando si visualizzano i simboli, questa opzione fa sì che readelf usi la tabella simboli nella sezione dinamica del file, invece di quella nella sezione simboli.

-x <number>
--hex-dump=<number>
    Visualizza il contenuto della sezione indicata come dump esadecimale.

-w[liaprmfFsoR]
--debug-dump[=line,=info,=abbrev,=pubnames,=aranges,=macro,=frames,=frames-interp,=str,=loc,=Ranges]
    Visualizza il contenuto delle sezioni debug nel file, se sono presenti. Se una delle lettere o parole opzionali segue l'opzione allora solo il dump verrà fatto solo sui dati trovati in questa specifica sezione.

-I
--histogram
    Visualizza un istogramma delle lunghezze dell'elenco del contenitore quando si visualizzano i contenuti delle tabelle simboli.

-v
--version
    Visualizza il numero di versione di readelf.

-W
--wide
    Non interrompe l'output delle linee per farlo stare nelle 80 colonne. Per default readelf interrompe le linee di elenco della sezione intestazione e segmento listing per i file ELF a 64-bit, in modo che stiano nelle 80 colonne. Questa opzione fa sì che readelf stampi ciascuna intestazione di sezione inserendo ciascun segmento su una linea, cosa moto più leggibile su terminale più ampi di 80 colonne.

-H
--help
    Visualizza le opzioni della linea di comando capite da readelf.

VEDERE ANCHE
objdump(1), e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.